# Commands Overview & Examples

### Commands Overview

<table><thead><tr><th width="185">Command</th><th>Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>login</code></td><td>&#x3C;exchange></td><td>Logs in to an account on a exchange</td></tr><tr><td><code>account</code> OR <code>&#x3C;account></code> </td><td>&#x3C;account></td><td>Set the default account</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>symbol</code> OR <code>&#x3C;symbol></code></td><td>&#x3C;symbol></td><td>Set the default symbol, specifying it in a command will override this</td></tr><tr><td><code>size</code></td><td>&#x3C;size></td><td>Set the default size, specifying it in a command will override this</td></tr><tr><td><code>buy</code>, <code>sell</code></td><td>&#x3C;size> &#x3C;symbol | price> &#x3C;price | symbol></td><td>Buy or Sell at market or at specific price</td></tr><tr><td><code>close</code></td><td>&#x3C;symbol | size> &#x3C;symbol | price> &#x3C;price></td><td>Close a position or a portion of a position</td></tr><tr><td><code>cancel</code></td><td>&#x3C;order_type | symbol> &#x3C;symbol | start_price> &#x3C;stop_price></td><td>Cancel orders of a specific type, on a symbol or in a price range </td></tr><tr><td><code>stop</code></td><td>&#x3C;side | size> &#x3C;size | symbol | price> &#x3C;symbol | price> &#x3C;price></td><td>Create a new stop/trigger order</td></tr><tr><td><code>split</code></td><td>&#x3C;side> &#x3C;size> &#x3C;symbol | number> &#x3C;number | start> &#x3C;start | stop> &#x3C;stop></td><td>Splits buys/sells into a number of orders from start price to stop price</td></tr><tr><td><code>leverage</code></td><td>&#x3C;symbol | leverage> &#x3C;leverage | symbol></td><td>Change leverage for a symbol</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>orders</code></td><td>&#x3C;symbol: *></td><td>List all orders</td></tr><tr><td><code>positions</code></td><td>&#x3C;symbol: *></td><td>List all positions</td></tr><tr><td><code>balance</code></td><td></td><td>List all balances</td></tr><tr><td><code>wait</code></td><td>&#x3C;seconds></td><td>Wait for some time in seconds</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>autotp</code></td><td>&#x3C;orders> &#x3C;start_pct> &#x3C;stop_pct> &#x3C;symbol: *></td><td>Make a new autotp, this will place orders from start % to stop % when you enter a position</td></tr><tr><td><code>trigger</code></td><td>&#x3C;event> command*</td><td>Triggers a command on an event</td></tr><tr><td><code>triggers</code></td><td></td><td>List all triggers</td></tr><tr><td><code>bind</code></td><td>command*</td><td>Bind keys to a command</td></tr><tr><td><code>binds</code></td><td></td><td>List all keybinds</td></tr><tr><td><code>alias</code></td><td>&#x3C;alias> command*</td><td>Alias a specific command</td></tr><tr><td><code>aliases</code></td><td></td><td>List all aliases</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>enable</code></td><td>[autotp, keybinds]</td><td>Enable option</td></tr><tr><td><code>disable</code></td><td>[autotp, keybinds]</td><td>Disable option</td></tr><tr><td><code>toggle</code></td><td>[autotp, keybinds]</td><td>Toggle option</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>set</code></td><td>&#x3C;variable> &#x3C;value></td><td>Set a variable to a value</td></tr><tr><td><code>variables</code></td><td></td><td>List all variables and their values</td></tr><tr><td><code>del</code></td><td>&#x3C;variable | alias | bind | trigger></td><td>Deletes a variable, alias, bind or trigger</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>help</code></td><td></td><td>Displays all commands</td></tr><tr><td><code>clear</code></td><td></td><td>Clears the terminal</td></tr><tr><td><code>log</code></td><td>text*</td><td>Log text or variables</td></tr><tr><td></td><td></td><td></td></tr><tr><td><code>save</code></td><td>&#x3C;name></td><td>Save the current profile/session</td></tr><tr><td><code>load</code></td><td>&#x3C;name></td><td>Load a session from name</td></tr><tr><td><code>quit</code></td><td></td><td>Save current session and quit the terminal</td></tr></tbody></table>

###

### Command Examples

`buy 100$ btc` - **Market buy 100$ of BTC**

`sell 1 btc` - **Market sell 1 BTC**

`buy 1 btc 21000` - **Limit buy 1 BTC at 21000**

`sell 1 btc 24000 !ro` - **Limit close 1 BTC at 24000 - reduceOnly**

`eth, buy 1` - **Set default symbol to ETH and market buy 1 ETH**

`close eth` - **Market close the current position on eth**&#x20;

`close eth 2000` - **Limit close the current position of ETH at 2000**

`split buy 1000$ doge 20 0.05 0.06` - **Buy a 1000$ worth of doge in 20 orders from 0.05 to 0.06**

`doge`                                     - **Set default symbol to DOGE**\
`split buy 1000$ 20 0.05 0.06` - **Buys a 1000$ worth of doge in 20 orders from 0.05 to 0.06**

`split buy 1000$ doge 20 last-3% last-1%` - **Buy a 1000$ worth of doge in 20 orders from the last price - 3% to the last price - 1%**

`stop buy 0.01 btc 30000` - **Market buy 0.01 BTC once the price is >= 30,000**

`leverage btc 10` - **Set the leverage to 10x on btc**

`wait 20:00, buy 0.01 btc` - **Wait until 20:00 and buy 0.01 BTC**

`wait 10s, sell 0.01 btc` - **Wait 10 seconds and sell 0.01 BTC**

`cancel buys` - **Cancel buy orders on all pairs (or default symbol)**

`cancel buys eth` - **Cancel all buy orders on ETH**

`cancel btc 19000 21000` - **Cancel all orders on BTC in the price range of 19000-210080**

`bind buy 1000$ doge` - **Bind \`buy 1000$ doge\` to the key(s) you press afterwards**

`autotp 5 1% 3%` - **Closes position when one opens in 5 orders from 1% from entry to 3% from entry**

`autotp 5 1% 3% doge` - **Does the same as the one above but only on DOGE**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orionterminal.com/commands-overview-and-examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
